WHDLoad MantisBT - Knightmare
View Issue Details
0001854Knightmare[All Projects] Generalpublic2008-02-22 21:332020-12-16 00:18
Reportertomead 
Assigned ToWepl 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem16 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.9beta
importedyes
Summary0001854: Knightmare: disks are installed correctly. Slave quits with the following error
DescriptionInstall: Knightmare (Mindscape) http://whdload.de/games/Knightmare.html
GameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 23.07.99

disks are installed correctly. Slave quits with the following error -
Exception "Access Fault" ($7008)
PC = $72A
Long Read From $FFFF80F8
Possible unsupported version. I have the mindscape classics version. Not sure if author is active still. Wondering if the source code is availible,as i would like a look at it if nobody else wants to support my english version.
Tagssupport other version
Attached Files? knightmare-test.asm (13,612) 2009-09-04 22:28
http://mantis.whdload.de/file_download.php?file_id=40&type=bug

Notes
(0000916)
Wepl   
2009-05-01 18:17   
are you still interested to update the install?
(0001088)
tomead   
2009-05-22 09:31   
Not sure if I am a good enough programmer for that I am looking through RIXA`s modified slave and its works with my version which is 1.5. Install is for 1.4. Can confirm the changes that RIXA made do work. Just trying to rebuild the source using my disassembly and RIXA`s and do version check in the slave and patch as needed. I am also looking at the putty slave, as it doesnt support any of the 4 versions I have.

(0001103)
Wepl   
2009-05-23 21:22   
ok fine, I'm waiting then..
(0001427)
tomead   
2009-09-04 22:25   
(Last edited: 2009-09-04 22:28)
Really dont know what to do with this so i am uploading my source, hopefully wepl can take a look at this

(0005710)
tomead   
2017-08-14 12:22   
Jeff you can use the old slave above to support the 1.5 version. as had a few changes from RIXA and me to support version 1.5.
(0005712)
JOTD   
2017-08-14 22:38   
ah the source was found! good. I'll merge my changes.
(0009317)
tomead   
2020-12-09 23:08   
Current slave still doesn't support game version 1.5, which is a mindscape classic version. Changes need to support in test slave attached above in 2009
(0009348)
tomead   
2020-12-16 00:18   
Uploaded wwarp images to EAB Zone. Must of missed request for disk images in 2018 !

Issue History
2009-04-10 01:20administratorNew Issue
2009-04-10 01:20administratorStatusnew => assigned
2009-04-10 01:20administratorAssigned To => Tony McGarry
2009-04-10 01:20administratorMachine => A1200
2009-04-10 01:20administratorCPU => 68040
2009-04-10 01:20administratorCPUSpeed => 40
2009-04-10 01:20administratorChipSet => AGA
2009-04-10 01:20administratorGFXCard => None
2009-04-10 01:20administratorChipMem => 2 MB
2009-04-10 01:20administratorFastMem => 16 MB
2009-04-10 01:20administratorWorkbench => OS 3.9
2009-04-10 01:20administratorKickROM => 40 - Kick 3.1
2009-04-10 01:20administratorKickSoft => None
2009-04-10 01:20administratorWHDLoad => 16.9beta
2009-04-10 01:20administratorimported => yes
2009-05-01 18:15WeplAssigned ToTony McGarry => Wepl
2009-05-01 18:17WeplTag Attached: support other version
2009-05-01 18:17WeplNote Added: 0000916
2009-05-22 09:31tomeadNote Added: 0001088
2009-05-22 09:31tomeadNote Edited: 0001088
2009-05-23 21:22WeplNote Added: 0001103
2009-09-04 22:25tomeadNote Added: 0001427
2009-09-04 22:28tomeadFile Added: knightmare-test.asm
2009-09-04 22:28tomeadNote Edited: 0001427
2017-08-14 12:22tomeadNote Added: 0005710
2017-08-14 22:38JOTDNote Added: 0005712
2020-12-09 23:08tomeadNote Added: 0009317
2020-12-16 00:18tomeadNote Added: 0009348